svn commit: r295770 - user/pho/stress2/misc
Peter Holm
pho at FreeBSD.org
Thu Feb 18 20:37:13 UTC 2016
Author: pho
Date: Thu Feb 18 20:37:12 2016
New Revision: 295770
URL: https://svnweb.freebsd.org/changeset/base/295770
Log:
Add new finding and fix id checking.
Sponsored by: EMC / Isilon Storage Division
Modified:
user/pho/stress2/misc/all.sh
user/pho/stress2/misc/posix_fadvise3.sh
Modified: user/pho/stress2/misc/all.sh
==============================================================================
--- user/pho/stress2/misc/all.sh Thu Feb 18 20:20:36 2016 (r295769)
+++ user/pho/stress2/misc/all.sh Thu Feb 18 20:37:12 2016 (r295770)
@@ -185,7 +185,7 @@ minspace=$((1024 * 1024)) # in k
[ `df -k $(dirname $RUNDIR) | tail -1 | awk '{print $4'}` -lt \
$minspace ] &&
echo "Warn: Not enough disk space on `dirname $RUNDIR` for \$RUNDIR"
-grep -wq "$testuser" /etc/passwd ||
+id $testuser > /dev/null 2>&1 ||
{ echo "\$testuser \"$testuser\" not found."; exit 1; }
probe=`dirname $RUNDIR`/probe
su $testuser -c "touch $probe" > /dev/null 2>&1
Modified: user/pho/stress2/misc/posix_fadvise3.sh
==============================================================================
--- user/pho/stress2/misc/posix_fadvise3.sh Thu Feb 18 20:20:36 2016 (r295769)
+++ user/pho/stress2/misc/posix_fadvise3.sh Thu Feb 18 20:37:12 2016 (r295770)
@@ -32,6 +32,10 @@
# https://people.freebsd.org/~pho/stress/log/kostik855.txt
# Fixed by r293197.
+# Again on i386:
+# https://people.freebsd.org/~pho/stress/log/kostik867.txt
+# Fixed by r295716.
+
. ../default.cfg
odir=`pwd`
More information about the svn-src-user
mailing list